/*
 * Created on Sep 5, 2005
 *
 */
package com.octo.cas.client.websphere;

import java.io.PrintStream;
import java.io.PrintWriter;

/**
 * @author Marc-Antoine Garrigue
 */
public class CasException extends Exception {
	private Throwable cause;
	
	private static final long serialVersionUID = -5390069250479350767L;
	public CasException() {
		super();
	}
	public CasException(String arg0) {
		super(arg0);
	}
	public CasException(String arg0, Throwable arg1) {
		super(arg0);
		this.cause = arg1;
	}
	public CasException(Throwable arg0) {
		super();
		this.cause = arg0;
	}
	public void printStackTrace() {

		super.printStackTrace();
		System.out.print("Caused by : ");
		cause.printStackTrace();
	}
	public void printStackTrace(PrintStream arg0) {
		super.printStackTrace(arg0);
		arg0.println("Caused by : ");
		cause.printStackTrace(arg0);
	}
	public void printStackTrace(PrintWriter arg0) {
		
		super.printStackTrace(arg0);
		arg0.println("Caused by : ");
		cause.printStackTrace(arg0);
	}
	
	
}
